
<ion-header>
  <ion-toolbar color="primary">
      <ion-buttons slot="start">
        <ion-button fill="clear" href="home/cages">
          <ion-icon name="arrow-round-back"></ion-icon>
        </ion-button>
      </ion-buttons>
    <ion-title>Add a new cage</ion-title>
  </ion-toolbar>
</ion-header>
<ion-content padding>
    <ion-item>
      <ion-col class="vertical-align-content">
        <ion-input [(ngModel)]="id" placeholder="Cage ID" name="id"></ion-input>
        <ion-label color="danger" stacked>{{labelErrorId}}</ion-label>
      </ion-col>
    </ion-item>
    <ion-item>
      <ion-col class="vertical-align-content">
        <ion-input [(ngModel)]="name" placeholder="Cage name" name="name"></ion-input>
        <ion-label color="danger" stacked>{{labelErrorName}}</ion-label>
      </ion-col>
    </ion-item>
    <ion-item>
      <ion-input [(ngModel)]="latitude" placeholder="Latitude" name="latitude" type="number"></ion-input>
    </ion-item>
    <ion-item>
      <ion-input [(ngModel)]="longitude" placeholder="Longitude" name="longitude" type="number"></ion-input>
    </ion-item>
      <ion-row>
      <ion-col text-center>
        <ion-button (click)="addCage(id,name,latitude,longitude)">Confirm</ion-button>
        <ion-button color="danger" href="home/cages">Abort</ion-button>
      </ion-col>
    </ion-row>
</ion-content>
